<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Wunschtermine\Uebersicht;

use Kufer\Web\Classes\Datamodul\Wunschtermin;

class WunschterminePresenter extends \Kufer\KuferTools\Basis\Uebersicht\UebersichtMitWssPresenter
{
  protected function getBlaetternAction()
  {
    return 'wunschtermine';
  }

  protected function getDatamodulFuerUeberschriftszeile()
  {
    return new Wunschtermin();
  }

  
  protected function getPanelTitle($datamodul)
  {
    if (empty($datamodul->id)) {
      return '';
    }

    if (\DateTimeOperations::isEmptyOrDefault($datamodul->datvon)) {
      return $datamodul->datbis;
    }

    if (\DateTimeOperations::isEmptyOrDefault($datamodul->datbis)) {
      return $datamodul->datvon;
    }

    if ($datamodul->datvon === $datamodul->datbis) {
      return $datamodul->datvon;
    }

    return $datamodul->datvon . ' bis ' . $datamodul->datbis;
  }

  protected function getJsFilesSrcAryWeitere()
  {
    return array_merge(
      parent::getJsFilesSrcAryWeitere(),
      array(
        $this->getJsFileFromSys('wunschtermine.js')
      )
    );
  }

  protected function getErfolgsmeldungen()
  {
    return $this->useCaseResponse->success;
  }

  protected function getFehlermeldung()
  {
    return $this->useCaseResponse->error;
  }
}